<?
require'../config.php';
$align='left';
$title='Анкета';
aut();
head();
who_add(0,'enter');



switch($mod){
default:
if ($_GET['i']==1)echo '<b>Изменения сохранены.</b><br />';
if ($_GET['i']==2)echo '<b>Ошибка. Сообщите администрации</b><br/>';

echo '<br />&#187; <a href="profile?mod=osn">Основное</a><br/>';
echo '&#187; <a href="profile?mod=kont">Контакты</a><br/>';
echo '&#187; <a href="profile?mod=lich">Личное</a><br/>';
//echo '&#187; <a href="profile?mod=obraz">Образование</a><br/>';
//echo '&#187; <a href="profile?mod=val">Работа</a><br/>';
echo '&#187; <a href="profile?mod=myavatar">Аватар</a><br/>';
//echo '&#187; <a href="profile?mod=military">Военная служба</a><br/>';
echo '&#187; <a href="profile?mod=photo">Фотография</a><br/>';
echo '&#187; <a href="profile?mod=lsmile">Личный смайл</a><br/>';
echo '&#187; <a href="profile?mod=nastroi">Настроение</a><br/>';
break;


case osn:
if (empty($act)){
if ($ver!='wml')echo '<form action="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';

echo '<br />Имя:<br /><input name="name" value="'.$user['name'].'" maxlength="30" emptyok="false"/><br />';
echo 'Фамилия:<br /><input name="surname" value="'.$user['surname'].'" maxlength="30" emptyok="false"/><br />';

echo 'Пол:<br />';
if($user['sex'] == 1){
echo '<select name="sex">
<option value="1">Мужской</option>
<option value="0">Женский</option>
</select><br/>';
} else {
echo '<select name="sex">
<option value="0">Женский</option>
<option value="1">Мужской</option>
</select><br/>';
}
echo 'Семейное положение:<br /><select name="semia">
<option value="0">-Не выбрано-</option>
<option value="1">Не женат/Не замужем</option>
<option value="2">Есть подруга/Есть друг</option>
<option value="3">Помолвлен/Помолвлена</option>
<option value="4">Женат/Замужем</option>
<option value="5">Все сложно</option>
<option value="6">В активном поиске</option>
</select><br/>';

list( $day, $month, $year ) = @split( '-', $user["birth"] );
$month1 = $month;
$month1 = str_replace("01","Января",$month1);
$month1 = str_replace("02","Февраля",$month1);
$month1 = str_replace("03","Марта",$month1);
$month1 = str_replace("04","Апреля",$month1);
$month1 = str_replace("05","Мая",$month1);
$month1 = str_replace("06","Июня",$month1);
$month1 = str_replace("07","Июля",$month1);
$month1 = str_replace("08","Августа",$month1);
$month1 = str_replace("09","Сентября",$month1);
$month1 = str_replace("10","Октября",$month1);
$month1 = str_replace("11","Ноября",$month1);
$month1 = str_replace("12","Декабря",$month1);
$month1 = str_replace("00","",$month1);
echo '<br/>День рождения: <b>' . $day . ' ' . $month1 . ' ' . $year . ' г.</b><br/>
<a href = "profile.php?mod=dat&amp;ref='.$ref.'">Изменить</a><br/><hr/>';
echo 'Скрыть дату рождения:<br/>
<select name="date_birth">';
if($user['date_birth'] == 0)echo '<option value="0">Скрыто</option>';
else if($user['date_birth'] == 1)echo '<option value="1">Открыто</option>';
echo '<option value="0">Скрыто</option>
<option value="1">Открыто</option>
</select><br/><hr/>';

echo 'Страна:<br /><input name="country" value="'.$user['country'].'" maxlength="50" emptyok="false"/><br />';
echo 'Город:<br /><input name="city" value="'.$user['city'].'" maxlength="50" emptyok="false"/><br />';

echo 'Политические взгляды:<br /><select name="politic">
<option value="0">-Не выбраны-</option>
<option value="1">Индифферентные</option>
<option value="2">Коммунистические</option>
<option value="3">Социалистические</option>
<option value="4">Умереные</option>
<option value="5">Либеральные</option>
<option value="6">Консервативные</option>
</select><br/>';

echo 'Религиозные взгляды:<br /><input name="religia" value="'.$user['religia'].'" maxlength="50" emptyok="false"/><br />';

if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="name" value="$name"/>
<postfield name="surname" value="$surname"/>
<postfield name="sex" value="$sex"/>
<postfield name="semia" value="$semia"/>
<postfield name="day" value="$day"/>
<postfield name="month" value="$month"/>
<postfield name="year" value="$year"/>
<postfield name="politic" value="$politic"/>
<postfield name="country" value="$country"/>
<postfield name="city" value="$city"/>
<postfield name="date_birth" value="$date_birth"/>
<postfield name="religia" value="$religia"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}
}else{
$name= check($_POST['name']);
$surname= check($_POST['surname']);
$sex= check(intval($_POST['sex']));
$semia= check(intval($_POST['semia']));


$politic= check(intval($_POST['politic']));
$date_birth= check(intval($_POST['$date_birth']));
$country= check($_POST['country']);
$city= check($_POST['city']);
$religia= check($_POST['religia']);

if($db->sql_query('UPDATE `users` SET `name` = "'.$name.'", `surname` = "'.$surname.'", `sex` = "'.$sex.'", `semia` = "'.$semia.'",`politic` = "'.$politic.'", `city` = "'.$city.'", `country` = "'.$country.'", `religia` = "'.$religia.'", `date_birth` = "'.$date_birth.'" WHERE `id` = "'.$user['id'].'"'))
{
header ('Location: profile?i=1&'.SID);  exit;
}else{
header ('Location: profile?i=2&'.SID);  exit;
}
}

break;

// Контакты
case kont:
if (empty($act)){
if ($ver!='wml')echo '<form action="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';

$mail0=explode('|',$user['mail']);
echo '<br />Контактный Email:<br /><input name="mail" value="'.$mail0[0].'" maxlength="50" emptyok="false"/>';
echo 'Виден:<select name="vmail">
<option value="0">Всем</option>
<option value="1">Друзьям</option>
</select><br/><br />';
$mobtel0=explode('|',$user['mobtel']);
echo 'Мобильный телефон:<br /><input name="mobtel" value="'.$mobtel0[0].'" maxlength="50" emptyok="false"/>';
echo 'Виден:<select name="vmobtel">
<option value="0">Всем</option>
<option value="1">Друзьям</option>
</select><br/><br />';
$hometel0=explode('|',$user['hometel']);
echo 'Домашний телефон:<br /><input name="hometel" value="'.$hometel0[0].'" maxlength="50" emptyok="false"/>';
echo 'Виден:<select name="vhometel">
<option value="0">Всем</option>
<option value="1">Друзьям</option>
</select><br/><br />';
$icq0=explode('|',$user['icq']);
echo 'ICQ:<br /><input name="icq" value="'.$icq0[0].'" maxlength="9" emptyok="false"/>';
echo 'Виден:<select name="vicq">
<option value="0">Всем</option>
<option value="1">Друзьям</option>
</select><br/><br />';
echo 'Скайп :<br /> <input name="skype" value="'.$user['skype'].'" maxlength="70" emptyok="false"/><br />';
echo 'id Вконтакте:<br /> <input name="vkontakte" value="'.$user['vkontakte'].'" maxlength="45" emptyok="false"/><br />';


if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="mail" value="$mail"/>
<postfield name="vmail" value="$vmail"/>
<postfield name="mobtel" value="$mobtel"/>
<postfield name="vmobtel" value="$vmobtel"/>
<postfield name="hometel" value="$hometel"/>
<postfield name="vhometel" value="$vhometel"/>
<postfield name="icq" value="$icq"/>
<postfield name="vicq" value="$vicq"/>
<postfield name="skype" value="$skype"/>
<postfield name="vkontakte" value="$vkontakte"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}
}else{
$mail= check($_POST['mail']).'|'.check($_POST['vmail']);
$mobtel= check($_POST['mobtel']).'|'.check($_POST['vmobtel']);
$hometel= check($_POST['hometel']).'|'.check($_POST['vhometel']);
$icq= check($_POST['icq']).'|'.check($_POST['vicq']);
$skype= check($_POST['skype']);
$vkontakte= check($_POST['vkontakte']);


if($db->sql_query('UPDATE `users` SET `mail` = "'.$mail.'", `mobtel` = "'.$mobtel.'", `hometel` = "'.$hometel.'", `icq` = "'.$icq.'", `skype` = "'.$skype.'", `vkontakte` = "'.$vkontakte.'" WHERE `id` = "'.$user['id'].'"'))
{
header ('Location: profile?i=1&'.SID);  exit;
}else{
header ('Location: profile?i=2&'.SID);  exit;
}
}

break;

// Личное
case lich:
if (empty($act)){
if ($ver!='wml')echo '<form action="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
if ($ver=='wml'){
/*
echo 'Деятельность:<br /><input name="deiat" value="'.text($user['deiat'],false,true,false,false,false).'" emptyok="false"/><br />';
echo 'Интересы:<br /><input name="interes" value="'.text($user['interes'],false,true,false,false,false).'" emptyok="false"/><br />';
echo 'Любимая музыка:<br /><input name="likemuz" value="'.text($user['likemuz'],false,true,false,false,false).'" emptyok="false"/><br />';
echo 'Любимые фильмы:<br /><input name="likefil" value="'.text($user['likefil'],false,true,false,false,false).'" emptyok="false"/><br />';
echo 'Любимые телешоу:<br /><input name="liketel" value="'.text($user['liketel'],false,true,false,false,false).'" emptyok="false"/><br />';
echo 'Любимые книги:<br /><input name="likebook" value="'.text($user['likebook'],false,true,false,false,false).'" emptyok="false"/><br />';
echo 'Любимые игры:<br /><input name="likegames" value="'.text($user['likegames'],false,true,false,false,false).'" emptyok="false"/><br />';
echo 'Любимые цитаты:<br /><input name="likecit" value="'.text($user['likecit'],false,true,false,false,false).'" emptyok="false"/><br />';
*/
echo 'О себе:<br /><input name="infa" value="'.text($user['infa'],false,true,false,false,false).'" emptyok="false"/><br />';

echo '<br /><anchor title="go">Сохранить<go href="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="deiat" value="$deiat"/>
<postfield name="interes" value="$interes"/>
<postfield name="likemuz" value="$likemuz"/>
<postfield name="likefil" value="$likefil"/>
<postfield name="liketel" value="$liketel"/>
<postfield name="likebook" value="$likebook"/>
<postfield name="likegames" value="$likegames"/>
<postfield name="likecit" value="$likecit"/>
<postfield name="infa" value="$infa"/>
</go></anchor>';
echo '<br/><br />';
}else{

/*
echo 'Деятельность:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="deiat" >'.$user['deiat'].'</textarea><br />';
echo 'Интересы:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="interes" >'.$user['interes'].'</textarea><br />';
echo 'Любимая музыка:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="likemuz" >'.$user['likemuz'].'</textarea><br />';
echo 'Любимые фильмы:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="likefil" >'.$user['likefil'].'</textarea><br />';
echo 'Любимые телешоу:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="liketel" >'.$user['liketel'].'</textarea><br />';
echo 'Любимые книги:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="likebook" >'.$user['likebook'].'</textarea><br />';
echo 'Любимые игры:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="likegames" >'.$user['likegames'].'</textarea><br />';
echo 'Любимые цитаты:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="likecit" >'.$user['likecit'].'</textarea><br />';
*/
echo 'О себе:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="infa" >'.$user['infa'].'</textarea><br />';

echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}
}else{
$deiat= check($_POST['deiat']);
$interes= check($_POST['interes']);
$likemuz= check($_POST['likemuz']);
$likefil= check($_POST['likefil']);
$liketel= check($_POST['liketel']);
$likebook= check($_POST['likebook']);
$likegames= check($_POST['likegames']);
$likecit= check($_POST['likecit']);
$infa= check($_POST['infa']);

if($db->sql_query('UPDATE `users` SET `deiat` = "'.$deiat.'", `interes` = "'.$interes.'", `likemuz` = "'.$likemuz.'", `likefil` = "'.$likefil.'", `liketel` = "'.$liketel.'", `likebook` = "'.$likebook.'", `likegames` = "'.$likegames.'", `likecit` = "'.$likecit.'", `infa` = "'.$infa.'" WHERE `id` = "'.$user['id'].'"'))
{
header ('Location: profile?i=1&'.SID);  exit;
}else{
header ('Location: profile?i=2&'.SID);  exit;
}
}

break;
/*
// Образование
case obraz:
if (empty($act)){
if ($ver!='wml')echo '<form action="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '<b>Здесь Вы можете указать школы,ВУЗы,ПТУ, в которых вы учились или учитесь.</b><br /><br />';
echo 'Страна:<br /><input name="obcoun" value="'.$user['obcoun'].'" maxlength="50" emptyok="false"/><br />';
echo 'Город:<br /><input name="obcity" value="'.$user['obcity'].'" maxlength="50" emptyok="false"/><br />';
echo 'Школа:<br /><input name="school" value="'.$user['school'].'" maxlength="50" emptyok="false"/><br />';
echo 'ВУЗ:<br /><input name="vuz" value="'.$user['vuz'].'" maxlength="50" emptyok="false"/><br />';
echo 'ПТУ:<br /><input name="ptu" value="'.$user['ptu'].'" maxlength="50" emptyok="false"/><br />';

if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="obcoun" value="$obcoun"/>
<postfield name="obcity" value="$obcity"/>
<postfield name="school" value="$school"/>
<postfield name="vuz" value="$vuz"/>
<postfield name="ptu" value="$ptu"/>

</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}
}else{
$obcoun = check($_POST['obcoun']);
$obcity = check($_POST['obcity']);
$school = check($_POST['school']);
$vuz = check($_POST['vuz']);
$ptu = check($_POST['ptu']);

if($db->sql_query('UPDATE `users` SET `obcoun` = "'.$obcoun.'", `obcity` = "'.$obcity.'", `school` = "'.$school.'", `vuz` = "'.$vuz.'", `ptu` = "'.$ptu.'" WHERE `id` = "'.$user['id'].'"'))
{
header ('Location: profile?i=1&'.SID);  exit;
}else{
header ('Location: profile?i=2&'.SID);  exit;
}
}

break;

// работа
case val:
if (empty($act)){
if ($ver!='wml')echo '<form action="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';

echo '<br />Страна:<br /><input name="valcoun" value="'.$user['valcoun'].'" maxlength="50" emptyok="false"/><br />';
echo 'Город:<br /><input name="valcity" value="'.$user['valcity'].'" maxlength="50" emptyok="false"/><br />';
echo 'Место работы:<br /><input name="val" value="'.$user['val'].'" maxlength="50" emptyok="false"/><br />';
echo 'Год начала работы:<br /><input name="valyear1" value="'.$user['valyear1'].'" maxlength="50" emptyok="false"/><br />';
echo 'Год окончания работы:<br /><input name="valyear2" value="'.$user['valyear2'].'" maxlength="50" emptyok="false"/><br />';
echo 'Должность:<br /><input name="position" value="'.$user['position'].'" maxlength="50" emptyok="false"/><br />';

if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="valcoun" value="$valcoun"/>
<postfield name="valcity" value="$valcity"/>
<postfield name="val" value="$val"/>
<postfield name="valyear1" value="$valyear1"/>
<postfield name="valyear2" value="$valyear2"/>
<postfield name="position" value="$position"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}
}else{
$valcoun = check($_POST['valcoun']);
$valcity = check($_POST['valcity']);
$val = check($_POST['val']);
$valyear1 = check($_POST['valyear1']);
$valyear2 = check($_POST['valyear2']);
$position = check($_POST['position']);

if($db->sql_query('UPDATE `users` SET `valcoun` = "'.$valcoun.'", `valcity` = "'.$valcity.'", `val` = "'.$val.'", `valyear1` = "'.$valyear1.'", `valyear2` = "'.$valyear2.'", `position` = "'.$position.'" WHERE `id` = "'.$user['id'].'"'))
{
header ('Location: profile?i=1&'.SID);  exit;
}else{
header ('Location: profile?i=2&'.SID);  exit;
}
}

break;
*/

case myavatar:
echo '<b>Управление аватаром :</b><br/>';
if ($_GET['ok'] == add) echo '<b>Аватар успешно загружен.</b><br/>';
if ($_GET['ok'] == del) echo '<b>Аватар успешно удален.</b><br/>';

if ($_GET['act'] == del) {
$db->sql_query("Update users set myavatar='' where id ='".$user['id']."'");
if (file_exists(H.$user['myavatar'].'')) unlink(H.$user['myavatar'].'');
header ('Location: profile?mod=myavatar&ok=del&'.SID);
exit;
}


if (!empty($user['myavatar'])) {
echo '<img src="'.H.$user['myavatar'].'" alt="Аватар"/><br/><a href="profile?mod=myavatar&amp;act=del">[Удалить]</a><br/>';
}




echo '&#187; <a href="upload?mod=avatar">Загрузить аватар</a><br/>&#187;  <a href="'.H.'ava/">Выбрать из имеющихся</a><br/>';
break;

/*
//  Служба
case military:
if (empty($act)){
if ($ver!='wml')echo '<form action="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';

echo 'Страна:<br /><input name="milcoun" value="'.$user['milcoun'].'" maxlength="50" emptyok="false"/><br />';
echo 'Войсковая часть:<br /><input name="milcity" value="'.$user['milcity'].'" maxlength="50" emptyok="false"/><br />';

if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="milcoun" value="$milcoun"/>
<postfield name="milcity" value="$milcity"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}
}else{
$milcoun= check($_POST['milcoun']);
$milcity= check($_POST['milcity']);

if($db->sql_query('UPDATE `users` SET `milcoun` = "'.$milcoun.'", `milcity` = "'.$milcity.'" WHERE `id` = "'.$user['id'].'"'))
{
header ('Location: profile?i=1&'.SID);  exit;
}else{
header ('Location: profile?i=2&'.SID);  exit;
}
}
break;
*/

case photo:
echo '<b>Управление фото:</b><br/>';
if ($_GET['ok']==add)echo '<b>Фото успешно загружено.</b><br />';
if ($_GET['ok']==del)echo '<b>Фото успешно удалено.</b><br />';
if($_GET['act']==del){


if(@$db->sql_query ("Update users set photo ='', vote_photo='0' where id ='".$user['id']."';")){
$db->sql_query("DELETE FROM `vote_photo` WHERE `user_id` = '".$user['id']."'");
unlink(H.$user['photo']);
echo "<b>Фото удалено.</b><br/>";
header ('Location: profile?mod=photo&ok=del&'.SID);exit;
}else{
echo "<b>Ошибка удаления фото.</b><br/>";
}

}
if($user['photo']!=''){
echo '<img src="'.H.'photo_img?'.$user['id'].'" alt="Фото"/><br />';
}
if($user['photo']==NULL){
echo '<br />&#187; <a href="upload?mod=photo">Загрузить фото</a><br/>';

}else{
echo '<br />&#xbb;  <a href="profile?mod=photo&amp;act=del">Удалить фото</a><br/>';
}
break;

case lsmile:
echo '<b>Управление смайлами:</b><br/>';
if ($_GET['ok'] == add) echo '<b>Смайл успешно загружен.</b><br />';
if ($_GET['ok'] == del1 || $_GET['ok'] == del2 || $_GET['ok'] == del3) echo '<b>Смайл успешно удален.</b><br />';

if ($_GET['act'] == del1) {
$db->sql_query("Update users set lsmile='' where id ='".$user['id']."'");
if (file_exists(H.$user['lsmile'].'')) unlink(H.$user['lsmile'].'');
header ('Location: profile?mod=lsmile&ok=del1&'.SID);
exit;
}
if ($_GET['act'] == del2) {
$db->sql_query("Update users set lsmile2='' where id ='".$user['id']."'");
if (file_exists(H.$user['lsmile2'].'')) unlink(H.$user['lsmile2'].'');
header ('Location: profile?mod=lsmile&ok=del2&'.SID);
exit;
}
if ($_GET['act'] == del3) {
$db->sql_query("Update users set lsmile3='' where id ='".$user['id']."'");
if (file_exists(H.$user['lsmile3'].'')) unlink(H.$user['lsmile3'].'');
header ('Location: profile?mod=lsmile&ok=del3&'.SID);
exit;
}
/*
if (!empty($user['lsmile']) && !empty($user['lsmile2']) || !empty($user['lsmile2'])) {
$db->sql_query("Update users set lsmile ='' where id ='".$user['id']."'");
} elseif (empty($user['lsmile']) && !empty($user['lsmile2']) || !empty($user['lsmile2'])) {
$db->sql_query("Update users set lsmile2 ='' where id ='".$user['id']."'");
} elseif (empty($user['lsmile']) || empty($user['lsmile2']) && !empty($user['lsmile2'])) {
$db->sql_query("Update users set lsmile3 ='' where id ='".$user['id']."'");
}

if (!empty($user['lsmile']) && !empty($user['lsmile2']) && !empty($user['lsmile3'])) {
unlink(H.$user['lsmile'].'');
} elseif (empty($user['lsmile']) && !empty($user['lsmile2']) || !empty($user['lsmile3'])) {
unlink(H.$user['lsmile2'].'');
} elseif (empty($user['lsmile']) || empty($user['lsmile2']) && !empty($user['lsmile3'])) {
unlink(H.$user['lsmile3'].'');
}
*/

if($user['posts']>=$set['post_diaries']){
echo "<dl><dt></dt></dl>";

if (!empty($user['lsmile'])) {
echo '<img src="'.H.$user['lsmile'].'" alt="Смайл"/><br/>
      <small>Комманда: .my.</small><br/>
      <a href="profile?mod=lsmile&amp;act=del1">[Удалить]</a><br/>';
}
if (!empty($user['lsmile2'])) {
echo '<img src="'.H.$user['lsmile2'].'" alt="Смайл"/><br/>
      <small>Комманда: .my2.</small><br/>
      <a href="profile?mod=lsmile&amp;act=del2">[Удалить]</a><br/>';
}
if (!empty($user['lsmile3'])) {
echo '<img src="'.H.$user['lsmile3'].'" alt="Смайл"/><br/>
      <small>Комманда: .my3.</small><br/>
      <a href="profile?mod=lsmile&amp;act=del3">[Удалить]</a><br/>';
}

echo '<hr/>';

echo '<br />&#187; <a href="upload?mod=smile">Загрузить смайл</a>';
      #<br />&#xbb;  <a href="profile?mod=lsmile&amp;act=del">Удалить лич-смайл</a><br/>';

}else{
echo '<br/>Чтобы пользоваться личными смайлами  нужно иметь более <b>'.$set['post_diaries'].'</b> постов!<br/><dl><dt></dt></dl>';
}

break;


//  Настроение
case nastroi:
if (empty($act)){
if ($ver!='wml')echo '<form action="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';

echo 'Выберите настроение:<br /><select name="nastroi0">
<option value="'.$user['nastroi'].'">'.$user['nastroi'].'</option>
        <option value="">[Выключено]</option>
		<option value="Бодрое">Бодрое</option>
		<option value="Прекрасное">Прекрасное</option>
		<option value="Весёлое">Весёлое</option>
		<option value="Ангельское">Ангельское</option>
		<option value="Агрессивное">Агрессивное</option>
		<option value="Изумлённое">Изумлённое</option>
		<option value="Удивленное">Удивленное</option>
		<option value="Злое">Злое</option>
		<option value="Сердитое">Сердитое</option>
		<option value="Сонное">Сонное</option>
		<option value="Озлобленное">Озлобленное</option>
		<option value="Скучающее">Скучающее</option>
		<option value="Оживлённое">Оживлённое</option>
		<option value="Угрюмое">Угрюмое</option>
		<option value="Размышляющее">Размышляющее</option>
		<option value="Занятое">Занятое</option>
		<option value="Нахальное">Нахальное</option>
		<option value="Холодное">Холодное</option>
		<option value="Смущённое">Смущённое</option>
		<option value="Крутое">Крутое</option>
		<option value="Дерзкое">Дерзкое</option>
		<option value="Смутённое">Смутённое</option>
		<option value="Дьявольское">Дьявольское</option>
		<option value="Сварливое">Сварливое</option>
		<option value="Счастливое">Счастливое</option>
		<option value="Горячее">Горячее</option>
		<option value="Влюблённое">Влюблённое</option>
		<option value="Невинное">Невинное</option>
		<option value="Вдохновлённое">Вдохновлённое</option>
		<option value="Одинокое">Одинокое</option>
		<option value="Скрытое">Скрытое</option>
		<option value="Пушистое">Пушистое</option>
		<option value="Задумчивое">Задумчивое</option>
		<option value="Психоделическое">Психоделическое</option>
		<option value="Расслабленое">Расслабленое</option>
		<option value="Грустное">Грустное</option>
		<option value="Испуганное">Испуганное</option>
		<option value="Шокированное">Шокированное</option>
		<option value="Потрясенное">Потрясенное</option>
		<option value="Больное">Больное</option>
		<option value="Хитрое">Хитрое</option>
		<option value="Усталое">Усталое</option>
		<option value="Утомленное">Утомленное</option>
        </select><br/>';

echo 'или введите:<br /><input name="nastroi1" maxlength="50" emptyok="false"/><br />';

if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="nastroi0" value="$nastroi0"/>
<postfield name="nastroi1" value="$nastroi1"/>
</go></anchor>';
echo '<br/><br />';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br /><br />';
}
}else{
$nastroi0= check($_POST['nastroi0']);
$nastroi1= check($_POST['nastroi1']);

if ($nastroi1!='')$nastroi = $nastroi1;
else $nastroi = $nastroi0;

if($db->sql_query('UPDATE `users` SET `nastroi` = "'.$nastroi.'" WHERE `id` = "'.$user['id'].'"'))
{
header ('Location: profile?i=1&'.SID);  exit;
}else{
header ('Location: profile?i=2&'.SID);  exit;
}
}

break;

case dat:
if (empty($act)){
if ($ver!='wml')echo '<form action="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';

echo 'Дата рождения<br/>';

list( $day, $month, $year ) = split( '-', $user["birth"] );

echo '<br/><select name="day">
      <option value="'.$day.'">'.$day.'</option>
      <option value="1">1</option>
      <option value="2">2</option>
      <option value="3">3</option>
      <option value="4">4</option>
      <option value="5">5</option>
      <option value="6">6</option>
      <option value="7">7</option>
      <option value="8">8</option>
      <option value="9">9</option>
      <option value="10">10</option>
      <option value="11">11</option>
      <option value="12">12</option>
      <option value="13">13</option>
      <option value="14">14</option>
      <option value="15">15</option>
      <option value="16">16</option>
      <option value="17">17</option>
      <option value="18">18</option>
      <option value="19">19</option>
      <option value="20">20</option>
      <option value="21">21</option>
      <option value="22">22</option>
      <option value="23">23</option>
      <option value="24">24</option>
      <option value="25">25</option>
      <option value="26">26</option>
      <option value="27">27</option>
      <option value="28">28</option>
      <option value="29">29</option>
      <option value="30">30</option>
      <option value="31">31</option>
      </select>';
$month1 = $month;
$month1 = str_replace("1","Января",$month1);
$month1 = str_replace("2","Февраля",$month1);
$month1 = str_replace("3","Марта",$month1);
$month1 = str_replace("4","Апреля",$month1);
$month1 = str_replace("5","Мая",$month1);
$month1 = str_replace("6","Июня",$month1);
$month1 = str_replace("7","Июля",$month1);
$month1 = str_replace("8","Августа",$month1);
$month1 = str_replace("9","Сентября",$month1);
$month1 = str_replace("10","Октября",$month1);
$month1 = str_replace("11","Ноября",$month1);
$month1 = str_replace("12","Декабря",$month1);
$month1 = str_replace("0","",$month1);
echo '-<select name="month">
       <option value="'.$month.'">'.$month1.'</option>
       <option value="01">Января</option>
       <option value="02">Февраля</option>
       <option value="03">Марта</option>
       <option value="04">Апреля</option>
       <option value="05">Мая</option>
       <option value="06">Июня</option>
       <option value="07">Июля</option>
       <option value="08">Августа</option>
       <option value="09">Сентября</option>
       <option value="10">Октября</option>
       <option value="11">Ноября</option>
       <option value="12">Декабрь</option>
       </select>-';
echo '<select name="year">
<option value="'.$year.'">'.$year.'</option>
<option value="1960">1960</option>
<option value="1961">1961</option>
<option value="1962">1962</option>
<option value="1963">1963</option>
<option value="1964">1964</option>
<option value="1965">1965</option>
<option value="1966">1966</option>
<option value="1967">1967</option>
<option value="1968">1968</option>
<option value="1969">1969</option>
<option value="1970">1970</option>
<option value="1971">1971</option>
<option value="1972">1972</option>
<option value="1973">1973</option>
<option value="1974">1974</option>
<option value="1975">1975</option>
<option value="1976">1976</option>
<option value="1977">1977</option>
<option value="1978">1978</option>
<option value="1979">1979</option>
<option value="1980">1980</option>
<option value="1981">1981</option>
<option value="1982">1982</option>
<option value="1983">1983</option>
<option value="1984">1984</option>
<option value="1985">1985</option>
<option value="1986">1986</option>
<option value="1987">1987</option>
<option value="1988">1988</option>
<option value="1989">1989</option>
<option value="1990">1990</option>
<option value="1991">1991</option>
<option value="1992">1992</option>
<option value="1993">1993</option>
<option value="1994">1994</option>
<option value="1995">1995</option>
<option value="1996">1996</option>
<option value="1997">1997</option>
<option value="1998">1998</option>
<option value="1999">1999</option>
<option value="2000">2000</option>
<option value="2001">2001</option>
<option value="2002">2002</option>
<option value="2003">2003</option>
</select><br/><br/>';

if ($ver=='wml'){
echo '<br/><anchor title="go">Сохранить<go href="profile?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="day" value="$day"/>
<postfield name="month" value="$month"/>
<postfield name="year" value="$year"/>
 </go></anchor>';
echo '<br/><br/>';
}else{
echo '<br/><input type="submit" class="ibutton" value="Сохранить"/></form><br/><br/>';
}
}else{
$day = check(intval($_POST[day]));
$month = mysql_real_escape_string(check($_POST[month]));
$year = check(intval($_POST[year]));

if($db->sql_query('UPDATE `users` SET `birth`="'.$day.'-'.$month.'-'.$year.'" where `id` ="'.$user['id'].'"'))
{
header ("Location: profile?mod=osn".SID);  exit;
}else{
header ("Location: profile?i=2&".SID);  exit;
}
}
break;

}
echo '<br/>';
if($mod)echo gb.'<a href="'.H.'my/profile">Редактировать анкету</a><br/>'.div;
echo gb.'<a href="'.H.'my/index">Личный кабинет</a><br/>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
?>